#version 450

layout(location = 0) in vec3 inPosition;
layout(location = 1) in vec3 inColor;
layout(location = 2) in vec3 inLineStart;
layout(location = 3) in vec3 inLineEnd;

layout(location = 0) out vec3 fragColor;

layout(binding = 0) uniform UniformBufferObject {
    mat4 proj;
    mat4 model;
    mat4 view;
} ubo;

void main() {
    //mat4 worldviewproj = ubo.proj * ubo.view * ubo.model;
    mat4 mvp = ubo.proj * ubo.view * ubo.model;
    //gl_Position = worldviewproj * vec4(inPosition, 1.0);
    gl_Position = mvp * vec4(inPosition, 1.0);
    
    fragColor = inColor;
}